hadoop-common-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Some Body" <someb...@squareplanet.de>
Subject Re: WARN util.NativeCodeLoader: Unable to load native-hadoop library
Date Wed, 14 Jul 2010 15:45:31 GMT
Allen,

I changed it back to the way it was. This is Cloudera's 0.20.2+228 release.

[root@namenode] # pwd
/opt/hadoop/lib/native/Linux-amd64-64

[root@namenode] # ls -l libhadoop.*
-rw-rw-r--  1 root Wheel 117464 2010-03-21 23:15 libhadoop.a
-rw-rw-r--  1 root Wheel    864 2010-03-21 23:15 libhadoop.la
-rw-rw-r--  1 root Wheel  77616 2010-03-21 23:15 libhadoop.so
-rw-rw-r--  1 root Wheel  77616 2010-03-21 23:15 libhadoop.so.1
-rwxr-xr-x  1 root Wheel  77616 2010-03-21 23:15 libhadoop.so.1.0.0

[root@namenode] # ldd libhadoop.so.1.0.0
./libhadoop.so.1.0.0: /lib64/tls/libc.so.6: version `GLIBC_2.4' not found (required by ./libhadoop.so.1.0.0)
	libjvm.so => not found
	libdl.so.2 => /lib64/libdl.so.2 (0x0000002a9578e000)
	libc.so.6 => /lib64/tls/libc.so.6 (0x0000002a95891000)
	/lib64/ld-linux-x86-64.so.2 (0x000000552aaaa000)


So I'm still confused. 
What do I need to do to have hadoop use "native" 
(I'm assuming native means the OS's .so files) 
for zlib com/de-compression?

Alan

----- original message --------

Subject: Re: WARN util.NativeCodeLoader: Unable to load native-hadoop library
Sent: Wed, 14 Jul 2010
From: Allen Wittenauer<awittenauer@linkedin.com>

> 
> On Jul 14, 2010, at 6:54 AM, Some Body wrote:
> 
> > 
> > [root@namenode] # ls -lgo
> > lrwxrwxrwx  1      6 2010-07-14 01:54 libhadoop.a -> libz.a
> > lrwxrwxrwx  1     18 2010-07-14 01:19 libhadoop.so -> libhadoop.so.1.0.0
> > lrwxrwxrwx  1     18 2010-07-14 01:19 libhadoop.so.1 ->
> libhadoop.so.1.0.0
> > lrwxrwxrwx  1     15 2010-07-14 01:19 libhadoop.so.1.0.0 ->
> libz.so.1.2.1.2
> 
> No no, not a symlink.  Link as in when the code gets compiled, libhadoop
> will be linked to libz via ld.
> 
> > -rwxr-xr-x  1 101430 2010-07-14 01:53 libz.a
> > lrwxrwxrwx  1     15 2010-07-13 03:26 libz.so -> libz.so.1.2.1.2
> > lrwxrwxrwx  1     15 2010-07-13 03:26 libz.so.1 -> libz.so.1.2.1.2
> > -rwxr-xr-x  1  77072 2010-07-13 03:27 libz.so.1.2.1.2
> > drwxr-xr-x  2   4096 2010-07-14 05:17 org
> 
> Blow all of this away, and recopy the native dir from your distribution.  
> 
> You don't need libz in this dir at all.
> 
> 
> 
> 

--- original message end ----


Mime
View raw message